Set spending limit (deprecated)
Deprecated
ai_gateway.billing.spending_limit.create(SpendingLimitCreateParams**kwargs) -> object
POST/accounts/{account_id}/ai-gateway/billing/spending-limit
Deprecated: spending limits can no longer be created, enabled, or modified and this endpoint always responds 403. Use the new AI Gateway spend limits instead: https://developers.cloudflare.com/ai-gateway/features/spend-limits/. Existing limits can be removed via DELETE /spending-limit.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Set spending limit (deprecated)
import os
from cloudflare import Cloudflare
client = Cloudflare(
api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted
)
spending_limit = client.ai_gateway.billing.spending_limit.create(
account_id="account_id",
amount=10000,
duration="monthly",
strategy="fixed",
)
print(spending_limit){
"errors": [
{
"code": 0,
"message": "message"
}
],
"messages": [
{
"code": 0,
"message": "message"
}
],
"result": {},
"success": true,
"result_info": {
"has_more": true,
"page": 0,
"per_page": 0,
"total_count": 0
}
}Returns Examples
{
"errors": [
{
"code": 0,
"message": "message"
}
],
"messages": [
{
"code": 0,
"message": "message"
}
],
"result": {},
"success": true,
"result_info": {
"has_more": true,
"page": 0,
"per_page": 0,
"total_count": 0
}
}